Joomla

End of Joomla 2.5 in sight – Are you R3ady?

In december, Joomla 2.5 will be “end of life”, which means the developers will no longer update the CMS. Joomla 2.5 played an important role in the #jhistory as it was the first step towards a modern Joomla. (We’re pretending 1.6 never happened).

It’s not exactly “news” that Joomla 2.5 is about to retire in December since it’s been announced by PLT quite some time ago – but the question remains: Are you ready? (The R3ady in the title is a reference to the original “marketing campaign.” So 1337)

With the EOL on the horizon, and with Joomla’s simpler versioning strategy in mind (No more LTS / STS, only one “final version supported for X years) the options of what to do with your Joomla 2.5 sites are rather limited.

  1. Ignore / acknowledge that Joomla 2.5 is EOL and continue to use it. If you don’t want to upgrade, no-one can force you.
  2. Ignore that Joomla 2.5 is going EOL and be unprofessional about it. This includes, but isn’t limited to:
    1. Complaining “you weren’t given enough time to upgrade”
    2. Angrily tweeting that “PLT didn’t communicate properly”
    3. tell everyone on the forum you’re moving to WordPal / BigCorporateCMS / Molaku / Noojo / another alternative I can’t think of.
    4. Quit your job as a web developer and watch from a cave as your sites are being shred apart 3 years after 2.5 went EOL
  3. Prepare yourself by upgrading to Joomla 3.x which isn’t as hard as you think it is.

In case you can’t tell which option is the best, it’s number 3.

Start upgrading today.

Many people have already started using Joomla 3.x for their new sites for quite some time (I’m proud to say I’m one of them) and for those people, there’s good news. You don’t need to do anything. Joomla 3.x is the “LTS” version and every new release  (3.3, 3.4, 3.994) will be maintained for three years. High fives!

Now, if you’ve still got sites that are on Joomla 2.5 you’ll want to start upgrading them. Which isn’t as painful as it sounds. And definitely not as painful as you remember from the 1.5 days. Actually, upgrading is fairly simple. You’ll only run into problems if you’ve created custom code which isn’t 3.x compatible (in which case, shame on you) or when you have installed extensions which haven’t made the move to 3.x yet (in which case… still shame on you, find a better extension developer).

Of course, things can go wrong (you did remember to back-up?) so give yourself some time to move to 3.x and start updating today. Don’t wait until the very last moment. You’re missing out on a slicker, better Joomla. The PLT has done some great work with Joomla 3.X, which is faster, easier on the eyes, more practical and one step further from the Orwellian nightmare that was 1.6.

So, with the knowledge that 2.5 is going to retire soon, start upgrading today. Gentlemen, start your engines!

Advertisements

Categories: Joomla

5 replies »

  1. Unofficially the guru´s at Siteground recommended to their 2.5 clientele to convert when 3.5 is available. I thought this would be September, but have not seen it yet. Last week I converted one site to 3.3.3 (from 2.5.24 of course) and that was super easy. Of course, it helps to have all relevant Akeeba components. lol

    Like

  2. You guys are all such noobs sticking with Joomla 3.x and 2.5. All my sites are still on 1.5 and running fine. This is just scaremongering to get people to spend more money on developers!!

    Like